Bug 605419 - CVE-2010-0541 Ruby WEBrick javascript injection flaw [fedora-all]
Summary: CVE-2010-0541 Ruby WEBrick javascript injection flaw [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2010-0541
TreeView+ depends on / blocked
 
Reported: 2010-06-17 21:22 UTC by Vincent Danen
Modified: 2010-08-24 06:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 06:10:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-06-17 21:22:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=587731

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Mamoru TASAKA 2010-08-22 17:22:41 UTC
For F-15/14, I will update ruby to 1.8.7p302 as the fix for
this issue is now upstreamed.

For F-13/12, backport patch should be applied.

Comment 2 Mamoru TASAKA 2010-08-22 18:17:57 UTC
F-15/F14: updated to 1.8.7p302 (1.8.7.302-1.fc1?)
F-13/12: patch applied (1.8.6.399-6.fc1?)

Comment 4 Mamoru TASAKA 2010-08-24 06:10:43 UTC
All pushed.


Note You need to log in before you can comment on or make changes to this bug.